
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch fixes a build problem with atyfb on ppc.  It uses the stuff in
macmodes.c, but doesn't trigger the build of it.  So if no other driver
using macmodes is built, the link will fail.

Signed-off-by: David Woodhouse <dwmw2@infradead.org>
Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/Makefile |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/Makefile~fix-atyfb-build-on-ppc drivers/video/Makefile
--- 25/drivers/video/Makefile~fix-atyfb-build-on-ppc	2005-03-30 18:03:11.000000000 -0800
+++ 25-akpm/drivers/video/Makefile	2005-03-30 18:03:11.000000000 -0800
@@ -30,8 +30,8 @@ obj-$(CONFIG_FB_PM3)		  += pm3fb.o
 obj-$(CONFIG_FB_MATROX)		  += matrox/
 obj-$(CONFIG_FB_RIVA)		  += riva/ vgastate.o
 obj-$(CONFIG_FB_NVIDIA)		  += nvidia/
-obj-$(CONFIG_FB_ATY)		  += aty/
-obj-$(CONFIG_FB_ATY128)		  += aty/
+obj-$(CONFIG_FB_ATY)		  += aty/ macmodes.o
+obj-$(CONFIG_FB_ATY128)		  += aty/ macmodes.o
 obj-$(CONFIG_FB_RADEON)		  += aty/
 obj-$(CONFIG_FB_SIS)		  += sis/
 obj-$(CONFIG_FB_KYRO)             += kyro/
_
